perl-Perl-BestPractice-0.01-6-rosa.lts2012.0.noarch.rpm


Advertisement

Description

perl-Perl-BestPractice - Perl Best Practices, the (unofficial) companion module

Property Value
Distribution ROSA Enterprise Desktop
Repository ROSA Contrib Updates x86_64
Package name perl-Perl-BestPractice
Package version 0.01
Package release 6-rosa.lts2012.0
Package architecture noarch
Package type rpm
Installed size 24.91 KB
Download size 12.65 KB
Official Mirror mirror.rosalab.ru
Perl::BestPractice is the (for now unofficial) companion module to the O'Reilly
"Perl Best Practices" by Damian Conway.
Using various bits of PPI magic, it provides functionality to automatically
locate (and in some cases repair) issues raised by the book.

Alternatives

Package Version Architecture Repository
perl-Perl-BestPractice-0.01-6-rosa.lts2012.0.noarch.rpm 0.01 noarch ROSA Contrib Updates
perl-Perl-BestPractice - - -

Requires

Name Value
perl(Carp) -
perl(PPI) -
perl(PPI::Find) -
perl(Params::Util) -

Provides

Name Value
perl(Perl::BestPractice) == 0.10.0
perl-Perl-BestPractice == 0.01-6:2012.0

Download

Type URL
Binary Package perl-Perl-BestPractice-0.01-6-rosa.lts2012.0.noarch.rpm
Source Package perl-Perl-BestPractice-0.01-6.src.rpm

Install Howto

  1. Enable ROSA Contrib Updates repository on Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Perl-BestPractice rpm package:
    # urpmi perl-Perl-BestPractice

Files

Path
/usr/lib/perl5/vendor_perl/5.12.3/Perl/BestPractice.pm
/usr/share/doc/perl-Perl-BestPractice/Changes
/usr/share/doc/perl-Perl-BestPractice/README
/usr/share/man/man3/Perl::BestPractice.3pm.xz

Changelog

2009-09-04 - Thierry Vignaud <tvignaud@mandriva.com> 0.01-6mdv2010.0
+ Revision: 430524
- rebuild

See Also

Package Description
perl-Perl-Critic-Bangs-1.80.0-1-rosa.lts2012.0.noarch.rpm Adding modifiers to a regular expression made up entirely of a variable created with qr() is usually not doing what you expect
perl-Perl-Critic-Compatibility-1.1.0-2-rosa.lts2012.0.noarch.rpm Don't allow three-argument open unless the code uses a version of perl that supports it
perl-Perl-Critic-Deprecated-1.108.0-2-rosa.lts2012.0.noarch.rpm Write C<$my_variable = 42> instead of C<$MyVariable = 42>
perl-Perl-Critic-Lax-0.8.0-2-rosa.lts2012.0.noarch.rpm Policies that let you slide on common exceptions
perl-Perl-Critic-More-1.0.0-2-rosa.lts2012.0.noarch.rpm Stop mixing long strings with code
perl-Perl-Critic-Nits-1.0.0-2-rosa.lts2012.0.noarch.rpm Policies of nits I like to pick
perl-Perl-Critic-PetPeeves-JTRAMMELL-0.20.0-2-rosa.lts2012.0.noarch.rpm Prohibit superfluous initializations
perl-Perl-Critic-Pulp-61.0.0-1-rosa.lts2012.0.noarch.rpm Don't use Foo:: style barewords
perl-Perl-Critic-Storable-0.10.0-2-rosa.lts2012.0.noarch.rpm Perl::Critic policy for using Storable
perl-Perl-Critic-StricterSubs-0.30.0-2-rosa.lts2012.0.noarch.rpm Perl::Critic plugin for stricter subroutine checks
perl-Perl-Critic-Swift-1.0.3-2-rosa.lts2012.0.noarch.rpm Additional policies for Perl::Critic
perl-Perl-Critic-Tics-0.6.0-2-rosa.lts2012.0.noarch.rpm (this => is => not => good)
perl-Perl-Metrics-Simple-0.150.0-2-rosa.lts2012.0.noarch.rpm Methods analyzing a single file
perl-Perl-PrereqScanner-1.4.0-1-rosa.lts2012.0.noarch.rpm A tool to scan your Perl code for its prerequisites
perl-Perl-Version-1.11.0-2-rosa.lts2012.0.noarch.rpm Parse and manipulate Perl version strings
Advertisement
Advertisement